Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HashCursor..::.Insert Method
HashCursor Class See Also Send Feedback

Insert the data element as a duplicate element of the key to which the cursor refers.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Insert(
    	DatabaseEntry data,
    	Cursor..::.InsertLocation loc
    )

Visual Basic (Declaration)
    Public Sub Insert ( _
    	data As DatabaseEntry, _
    	loc As Cursor..::.InsertLocation _
    )

Visual C++
    public:
    void Insert(
    	DatabaseEntry^ data,
    	Cursor..::.InsertLocation loc
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data element to insert

loc
  Type: BerkeleyDB..::.Cursor..::.InsertLocation
  Specify whether to insert the data item immediately before or immediately after the cursor's current position.

# See Also

HashCursor Class
BerkeleyDB Namespace